petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGASMGetUseDMSubdomains

Returns flag indicating whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible. Not Collective

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMGetUseDMSubdomains(PC pc,PetscBool* flg)

### Input Parameter

pc -the preconditioner

### Output Parameter

flg -boolean indicating whether to use subdomains defined by the DM

### See Also

PCGASMSetUseDMSubdomains(), PCGASMSetOverlap()
PCGASMCreateSubdomains2D()

### Level

intermediate

### Location

src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages